

.custom-box {
  width: 100%;
  height: 100px;
  margin-left: auto;
  margin-right: auto;
  border: 1px solid blue;
  border-radius: 10px;
  overflow: hidden;
  position: relative;
}

.button-container {
  width: 70%;
  margin-left: auto;
  margin-right: auto;
}

.input-container {
  width: 70%;
  height: 200px;
  margin-left: auto;
  margin-right: auto;
}

.input-container input {
  width: 100%;
}

#waveform {
  width: 100%;
  height: 100%;
  
}

.loading-container {
  display: flex;
  align-items: center;
  justify-content: center;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5); /* Couleur de fond semi-transparente pour l'effet d'ombrage */
  z-index: 9999; /* Assurez-vous que le conteneur de chargement est au-dessus des autres éléments */
}


.lkol{
margin-left: 30%;
}

.btn-upload {
  background-color: #fff;
  border: 1px solid #000;
  color: #000;
  padding: 10px ;
  border-radius: 8px;
  font-size: 16px;
  font-weight: bold;
  margin-top: 3%;
}
.mou{
  display:flex;
}
.jj{
  margin-top: 10%;
}

.modal {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: white;
  padding: 20px;
  border: 1px solid #ccc;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}
.error {
  border: 1px solid red;
}

.error-message {
  color: red;
}
.custom-file-upload {
  display: inline-block;
  padding: 8px 20px;
  background-color: #007bff;
  color: #fff;
  cursor: pointer;
  border-radius: 4px;
}

.custom-file-upload:hover {
  background-color: #0056b3;
}

.chart-container {
  width: 100%;
  height: 150px;

}
#myChart {
  position: relative;
  width: 100%;
  height: 150px;
}
